/* Copyright (c) 1997, MpegTV LLC */
#ifndef _dither_api_h
#define _dither_api_h
#ifndef lint
static const char rcsid_dither_api_h[] = "$Header: /net/hopkins/home/tristan/mpeg/dec/RCS/dither_api.h,v 1.18 1999/02/12 08:26:24 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

/*--------------------------------------------------------------------------+
| Data types:																|
+--------------------------------------------------------------------------*/

/* Dither type */
typedef enum {
	MTVP_DITHER_NONE = 0,	/* video not displayed (but decoded) */
	MTVP_DITHER_GRAY,		/* gray */
	MTVP_DITHER_ORDERED,		/* 8-bit ordered dither */
	MTVP_DITHER_COLOR,		/* full-color */
	MTVP_DITHER_COUNT
} MTVP_DITHER_TYPE;

/* dither mode flags */
#define MTVP_VOH_MODE_GRAY		(1<<MTVP_DITHER_GRAY)	
#define MTVP_VOH_MODE_ORDERED	(1<<MTVP_DITHER_ORDERED)	
#define MTVP_VOH_MODE_COLOR		(1<<MTVP_DITHER_COLOR)	

#endif /* _dither_api_h */
